/* date = June 17th 2023 10:48 pm */

#ifndef VN_CONFIG_H
#define VN_CONFIG_H

struct config_entry
{
    string Name;
    buffer Target;
    
    config_entry *Next;
    config_entry *Prev;
};

struct config
{
    memory_arena Arena;
    
    config_entry *First;
    config_entry *Last;
};

static void Config_ReadFile(config *Config, string Path);
static void Config_WriteFile(config *Config);

static void Config_AddEntry(config *Config, string Name, buffer Target);
static void Config_AddS64(config *Config, string Name, s64 *Target);

#endif //VN_CONFIG_H
